## org.pentaho.reporting.libraries.formula.lvalues
Class ContextLookup

    java.lang.Object
      org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue
          org.pentaho.reporting.libraries.formula.lvalues.ContextLookup

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LValue

    public class ContextLookup

extends AbstractLValue

A reference that queries the datarow.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`ContextLookup(java.lang.String name)`
`ContextLookup(java.lang.String name, ParsePosition parsePosition)`

Method Summary
`TypeValuePair` `evaluate()`
`java.lang.String` `getName()`
`Type` `getValueType()` Querying the value type is only valid *after* the value has been evaluated.
`boolean` `isConstant()` Checks whether the LValue is constant.
`java.lang.String` `toString()`

Methods inherited from class org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue
`clone, getChildValues, getContext, getParsePosition, initialize, setParsePosition`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextLookup

    public ContextLookup(java.lang.String name)

### ContextLookup

    public ContextLookup(java.lang.String name,
                         ParsePosition parsePosition)

Method Detail

### evaluate

    public TypeValuePair evaluate()
                           throws EvaluationException

  Throws:
    `EvaluationException`

### getValueType

    public Type getValueType()

  Description copied from class: `AbstractLValue`
  Querying the value type is only valid *after* the value has been evaluated.

  Specified by:
    `getValueType` in interface `LValue`
  Overrides:
    `getValueType` in class `AbstractLValue`
  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isConstant

    public boolean isConstant()

  Checks whether the LValue is constant. Constant lvalues always return the same value.

  Returns:

### getName

    public java.lang.String getName()